Subject: Pl. post to LAD-Net (fwd)

From: Jun Wu <[email-masked]>
Date: Wed, 29 Sep 93 18:26:42 CDT

Date: Wed, 29 Sep 93 16:37:24 MDT
>From: [email-masked] (Jianliang Li)
Message-Id: <[email-masked]>

	The following is for your information only.  Your own judgement
is highly advised.

   	I talked to Salt Lake City INS Supervisory Exminer Allan
Speirs.  He said EC6 is specially created for CSPA principals.  LAD
gets E39.

	I also asked about J-2 2-year waiver.  I asked if it is required.
He answered that you'd better have it to make things straight and clear.

	LAD interview in SLC-INS is quite formal.  It takes about 25   
minutes.  He checks birth date, I-94 (he also has a copy, he compares
yours with the one he got), marriage certificate, and all other documents.
He also made notes on Form I-485 about the 2-year waiver (like "granted
on DD/MM/YY) because I obtained the 2-year waiver after my LAD filed
I-485.  You also need to bring the original documents.  Where you get
the certificate seems to be not important.  My LAD's birth certificate was
from a local hostspital with a red stamp (seal) on a regular Chinese 
letter paper.   This INS examiner is very kind and responsible. He makes
you feel that you are going through an important process.

	When I called for signatures to support Beijing 2000 Olympics,
many were afraid to sign.  They were afraid to jarpodize their PR
applications.  If Beijing bids for 2004 games, I hope there is nothing
to be afraid at that time to show your support!

Jianliang Li (JLi)
Member, LAD-Net Committee